SSL_LIBRARY_INIT(3)

NAME
SSL_library_init, OpenSSL_add_ssl_algorithms, SSLeay_add_ssl_algorithms - initialize SSL library by registering algorithms

SYNOPSIS
#include <openssl/ssl.h>
int
SSL_library_init(void);
int
OpenSSL_add_ssl_algorithms(void);
int
SSLeay_add_ssl_algorithms(void);

DESCRIPTION
SSL_library_init() registers the available SSL/TLS ciphers and digests.

OpenSSL_add_ssl_algorithms() and SSLeay_add_ssl_algorithms() are synonyms for SSL_library_init() and are implemented as macros.

SSL_library_init() must be called before any other action takes place. SSL_library_init() is not reentrant.

SSL_library_init() adds ciphers and digests used directly and indirectly by SSL/TLS.

RETURN VALUES
SSL_library_init() always returns 1, so it is safe to discard the return value.

EXAMPLES
A typical TLS/SSL application will start with the library initialization, and provide readable error messages.

    SSL_load_error_strings();                /* readable error messages */
    SSL_library_init();                      /* initialize library */

SEE ALSO
RAND_add(3), ssl(3), SSL_load_error_strings(3)

HISTORY
SSLeay_add_ssl_algorithms() appeared before SSLeay 0.8 and has been available since OpenBSD 2.4.

SSL_library_init() first appeared in OpenSSL 0.9.2b and has been available since OpenBSD 2.6.

OpenSSL_add_ssl_algorithms() first appeared in OpenSSL 0.9.5 and has been available since OpenBSD 2.7.